ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetServOptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<InetServOption>
    - - ru.bitel.bgbilling.modules.inet.api.server.bean.InetServOptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class InetServOptionDao
      extends ru.bitel.common.dao.AbstractDao<InetServOption>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServOptionDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteByServId(int servId)`
    `protected InetServOption` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<InetServOption>` | `getInetServRealtimeOptionList(int inetServId, java.util.Date fromDate)`
    `java.util.List<InetServOption>` | `list(int serviceId)`
    `boolean` | `optionIsUsed(int optionId)`
    `void` | `update(int servId, java.util.List<InetServOption> list)`
    `protected void` | `updateImpl(InetServOption b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServOptionDao

          public InetServOptionDao(java.sql.Connection con,
                                   int mid)

  - ### Method Detail

    - #### getFromRS

          protected InetServOption getFromRS(java.sql.ResultSet rs)
                                      throws java.sql.SQLException,
                                             ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<InetServOption>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetServOption> list(int serviceId)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByServId

          public int deleteByServId(int servId)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int servId,
                             java.util.List<InetServOption> list)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### optionIsUsed

          public boolean optionIsUsed(int optionId)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInetServRealtimeOptionList

          public java.util.List<InetServOption> getInetServRealtimeOptionList(int inetServId,
                                                                              java.util.Date fromDate)
                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(InetServOption b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetServOption>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`